# API Changes

This files contains all the API changes for the current release:

## wallet-core

- AcceptManualWithdrawalResult.exchangePaytoUris is deprecated
- WithdrawalExchangeAccountDetails.transferAmount is now optional (if conversion applies)
- added WithdrawalExchangeAccountDetails.currencySpecification about the transferAmount currency
- 2023-12-05 dold: added WithdrawalExchangeAccountDetails.{status,conversionError} to inform the client
  about errors with a particular conversion account instead of failing the whole withdrawal(-info) request.
- 2023-12-06 dold: added the exchangeBaseUrl to PreparePeerPushCreditResponse, allowing the UI
  to check the exchange status for the peer push credit.
- 2023-12-06 dold: added a new getExchangeEntryForUri request, which allows the client to
  get information about an existing exchange entry with DD48 semantics.
  The older call "getExchangeDetailedInfo" also computes loads of information
  for fee comparison and we should eventually rename it to something more appropriate
  (like getExchangeFeeDetailsForUri).
- 2023-12-06 dold: Deprecate the tosStatus in the withdrawal details response.
  This field does not conform to DD48 semantics and the client should
  request the ToS status separately via a getExchangeEntryForUri request.
- 2023-12-07 dold: Add the prepareWithdrawExchange request for withdrawals
  via a taler://withdraw-exchange URI.
- 2023-12-11 dold: Add exchangeBaseUrl to the checkPeerPushDebit response.
- 2023-12-11 dold: Add scopeInfo to exchange entry list items.
- BREAK 2023-12-12 dold: Remove forceUpdate and masterPub arguments from addExchange
  request. This request has previously been overloaded both to update an
  exchange entry as well as to add it.
  To update the entry, updateExchangeEntry should be used instead.
- 2023-12-12 dold: the getExchangeTos request not accepts an additional
  acceptLanguage field in the request. The response now contains an optional
  contentLanguage field that is returned if the exchange reports it.
- 2023-12-12 2:0:1 dold: The checkPeerPushDebit now returns a maximum
  expiration date based on the expiry of selected coins.
- 2023-12-13 3:0:2 dold: getVersion now returns the supported API version
  ranges for all bank APIs separately.
